Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1
Class BERTaggedObjectParser

    java.lang.Object
      org.bouncycastle.asn1.BERTaggedObjectParser

All Implemented Interfaces:
  ASN1TaggedObjectParser, DEREncodable

    public class BERTaggedObjectParser

extends java.lang.Object
implements ASN1TaggedObjectParser

Constructor Summary
`protected` `BERTaggedObjectParser(int baseTag, int tagNumber, java.io.InputStream contentStream)`

Method Summary
`DERObject` `getDERObject()`
`DEREncodable` `getObjectParser(int tag, boolean isExplicit)`
`int` `getTagNo()`
`boolean` `isConstructed()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BERTaggedObjectParser

    protected BERTaggedObjectParser(int baseTag,
                                    int tagNumber,
                                    java.io.InputStream contentStream)

Method Detail

### isConstructed

    public boolean isConstructed()

### getTagNo

    public int getTagNo()

  Specified by:
    `getTagNo` in interface `ASN1TaggedObjectParser`

### getObjectParser

    public DEREncodable getObjectParser(int tag,
                                        boolean isExplicit)
                                 throws java.io.IOException

  Specified by:
    `getObjectParser` in interface `ASN1TaggedObjectParser`
  Throws:
    `java.io.IOException`

### getDERObject

    public DERObject getDERObject()

  Specified by:
    `getDERObject` in interface `DEREncodable`

Bouncy Castle Cryptography Library 1.45